<launch>
    <!-- <arg name="port" default="/dev/ttyTHS0" /> -->
    <!-- <arg name="port" default="/dev/ttyUSB0" /> -->
    <!-- <arg name="port" default="/dev/ttyS0" /> -->
    <!-- <arg name="baud" default="115200" /> -->

    <!-- <include file="$(find nmea_navsat)/launch/nmea_navsat.launch" >
        <arg name="port" default="$(arg port)" />
        <arg name="baud" default="$(arg baud)" />
    </include>
 -->

    <arg name="d_heading" default="0" /> <!-- 负数为逆时针旋转-->

    <arg name="d_yaw" default="-90" />
    <arg name="output_topic_fix" default="/gnss/fix" />

    <node pkg="gnss_driver_cpp" type="gnss_driver_cpp_nmea" name="gnss_driver_nmea" output="screen">
        <param name="output_topic_fix" value="$(arg output_topic_fix)"/>
        <param name="d_yaw" value="$(arg d_yaw)"/>
        <param name="d_heading" value="$(arg d_heading)"/>
    </node>

    <!-- required='true' -->
</launch>

